1

I'm currently trying to install Splashtop Streamer (a remote desktop software) on an odroid device (it's kinda like a raspberry pi) which runs on Xubuntu 13.10 with an ARMv7l architecture (that's what I get when I run uname -m in a terminal).

When I try to install Splashtop Streamer (I've tried with the 4 versions here http://www.splashtop.com/linux#download) I always get the error "wrong architecture 'i386'" or "wrong architecture 'amd64'" in the software center, depending on the version I'm trying to install.

Has someone been through this before or can someone help me ?

1

If you install either of the 32-bit or 64-bit packages, you will get the error as stated above, because neither of those two architectures exist on an ARMv7l device. Suggest you try downloading the "open source package" from the drop down (your choice which) and see if it can be installed on the ARMv7l architecture.

Usually such packages contain a README file for compilation steps and IF (and yest, that is a big if), it installs at all, then your device was open enough to allow you to compile the software or run the binary (if that is all that is available) on that 'odroid' device.

Can not provide the 'odroid' device support, but certainly the manufacturer could tell you if they have enough space or hardware to support the Splashtop Streamer you seek to use.

Do hope that help (HTH). Have a nice day.

0

You can not install/use versions designed for i386 (32-bit) or amd64 (64-bit) on arm system if these packages are specifically designed for those systems.

If you want to instal Splashtop Streamer on an arm device you need to find a package for this targetted to arm devices. The link you posted also includes the source code (SOURCE_CLI_Linux_43531.tar.gz) so it might be possible to compile the source for arm.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.